- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Macros | Typedefs | Enumerations
Text Object Functions
Specific Object Functions

Functions that operate on single line, single style text objects. More...

## Macros
#define | EVAS_TEXT_STYLE_MASK_BASIC 0xf
#define | EVAS_TEXT_STYLE_BASIC_SET(x, s) do { x = ((x) & ~EVAS_TEXT_STYLE_MASK_BASIC) | (s); } while (0)
| Text style type creation macro. More...
#define | EVAS_TEXT_STYLE_MASK_SHADOW_DIRECTION (0x7 << 4)
#define | EVAS_TEXT_STYLE_SHADOW_DIRECTION_SET(x, s) do { x = ((x) & ~EVAS_TEXT_STYLE_MASK_SHADOW_DIRECTION) | (s); } while (0)
| Text style type creation macro. More...

## Typedefs
typedef enum _Evas_Text_Style_Type | Evas_Text_Style_Type
| Types of styles to be applied on text objects. More...

## Enumerations
enum | _Evas_Text_Style_Type { EVAS_TEXT_STYLE_PLAIN, EVAS_TEXT_STYLE_SHADOW, EVAS_TEXT_STYLE_OUTLINE, EVAS_TEXT_STYLE_SOFT_OUTLINE, EVAS_TEXT_STYLE_GLOW, EVAS_TEXT_STYLE_OUTLINE_SHADOW, EVAS_TEXT_STYLE_FAR_SHADOW, EVAS_TEXT_STYLE_OUTLINE_SOFT_SHADOW, EVAS_TEXT_STYLE_SOFT_SHADOW, EVAS_TEXT_STYLE_FAR_SOFT_SHADOW, EVAS_TEXT_STYLE_SHADOW_DIRECTION_BOTTOM_RIGHT = (0x0 << 4), EVAS_TEXT_STYLE_SHADOW_DIRECTION_BOTTOM = (0x1 << 4), EVAS_TEXT_STYLE_SHADOW_DIRECTION_BOTTOM_LEFT = (0x2 << 4), EVAS_TEXT_STYLE_SHADOW_DIRECTION_LEFT = (0x3 << 4), EVAS_TEXT_STYLE_SHADOW_DIRECTION_TOP_LEFT = (0x4 << 4), EVAS_TEXT_STYLE_SHADOW_DIRECTION_TOP = (0x5 << 4), EVAS_TEXT_STYLE_SHADOW_DIRECTION_TOP_RIGHT = (0x6 << 4), EVAS_TEXT_STYLE_SHADOW_DIRECTION_RIGHT = (0x7 << 4) }
enum | { EVAS_OBJ_TEXT_SUB_ID_FONT_SOURCE_SET, EVAS_OBJ_TEXT_SUB_ID_FONT_SOURCE_GET, EVAS_OBJ_TEXT_SUB_ID_FONT_SET, EVAS_OBJ_TEXT_SUB_ID_FONT_GET, EVAS_OBJ_TEXT_SUB_ID_TEXT_SET, EVAS_OBJ_TEXT_SUB_ID_BIDI_DELIMITERS_SET, EVAS_OBJ_TEXT_SUB_ID_BIDI_DELIMITERS_GET, EVAS_OBJ_TEXT_SUB_ID_TEXT_GET, EVAS_OBJ_TEXT_SUB_ID_DIRECTION_GET, EVAS_OBJ_TEXT_SUB_ID_ASCENT_GET, EVAS_OBJ_TEXT_SUB_ID_DESCENT_GET, EVAS_OBJ_TEXT_SUB_ID_MAX_ASCENT_GET, EVAS_OBJ_TEXT_SUB_ID_MAX_DESCENT_GET, EVAS_OBJ_TEXT_SUB_ID_INSET_GET, EVAS_OBJ_TEXT_SUB_ID_HORIZ_ADVANCE_GET, EVAS_OBJ_TEXT_SUB_ID_VERT_ADVANCE_GET, EVAS_OBJ_TEXT_SUB_ID_CHAR_POS_GET, EVAS_OBJ_TEXT_SUB_ID_LAST_UP_TO_POS, EVAS_OBJ_TEXT_SUB_ID_CHAR_COORDS_GET, EVAS_OBJ_TEXT_SUB_ID_STYLE_SET, EVAS_OBJ_TEXT_SUB_ID_STYLE_GET, EVAS_OBJ_TEXT_SUB_ID_SHADOW_COLOR_SET, EVAS_OBJ_TEXT_SUB_ID_SHADOW_COLOR_GET, EVAS_OBJ_TEXT_SUB_ID_GLOW_COLOR_SET, EVAS_OBJ_TEXT_SUB_ID_GLOW_COLOR_GET, EVAS_OBJ_TEXT_SUB_ID_GLOW2_COLOR_SET, EVAS_OBJ_TEXT_SUB_ID_GLOW2_COLOR_GET, EVAS_OBJ_TEXT_SUB_ID_OUTLINE_COLOR_SET, EVAS_OBJ_TEXT_SUB_ID_OUTLINE_COLOR_GET, EVAS_OBJ_TEXT_SUB_ID_STYLE_PAD_GET, EVAS_OBJ_TEXT_SUB_ID_ELLIPSIS_SET, EVAS_OBJ_TEXT_SUB_ID_ELLIPSIS_GET, EVAS_OBJ_TEXT_SUB_ID_FILTER_PROGRAM_SET, EVAS_OBJ_TEXT_SUB_ID_FILTER_SOURCE_SET, EVAS_OBJ_TEXT_SUB_ID_LAST }
const Eo_Class * | evas_object_text_class_get (void)
#define | EVAS_OBJ_TEXT_CLASS evas_object_text_class_get()
#define | EVAS_OBJ_TEXT_ID(sub_id) (EVAS_OBJ_TEXT_BASE_ID + sub_id)
#define | evas_obj_text_font_source_set(font_source) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_FONT_SOURCE_SET), EO_TYPECHECK(const char *, font_source)
#define | evas_obj_text_font_source_get(font_source) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_FONT_SOURCE_GET), EO_TYPECHECK(const char **, font_source)
#define | evas_obj_text_font_set(font, size) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_FONT_SET), EO_TYPECHECK(const char *, font), EO_TYPECHECK(Evas_Font_Size, size)
#define | evas_obj_text_font_get(font, size) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_FONT_GET), EO_TYPECHECK(const char **, font), EO_TYPECHECK(Evas_Font_Size *, size)
#define | evas_obj_text_text_set(text) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_TEXT_SET), EO_TYPECHECK(const char *, text)
#define | evas_obj_text_text_get(text) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_TEXT_GET), EO_TYPECHECK(const char **, text)
#define | evas_obj_text_bidi_delimiters_set(delim) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_BIDI_DELIMITERS_SET), EO_TYPECHECK(const char *, delim)
#define | evas_obj_text_bidi_delimiters_get(delim) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_BIDI_DELIMITERS_GET), EO_TYPECHECK(const char **, delim)
#define | evas_obj_text_direction_get(bidi_dir) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_DIRECTION_GET), EO_TYPECHECK(Evas_BiDi_Direction *, bidi_dir)
#define | evas_obj_text_ascent_get(ascent) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_ASCENT_GET), EO_TYPECHECK(Evas_Coord *, ascent)
#define | evas_obj_text_descent_get(descent) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_DESCENT_GET), EO_TYPECHECK(Evas_Coord *, descent)
#define | evas_obj_text_max_ascent_get(max_ascent) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_MAX_ASCENT_GET), EO_TYPECHECK(Evas_Coord *, max_ascent)
#define | evas_obj_text_max_descent_get(max_descent) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_MAX_DESCENT_GET), EO_TYPECHECK(Evas_Coord *, max_descent)
#define | evas_obj_text_inset_get(inset) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_INSET_GET), EO_TYPECHECK(Evas_Coord *, inset)
#define | evas_obj_text_horiz_advance_get(horiz) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_HORIZ_ADVANCE_GET), EO_TYPECHECK(Evas_Coord *, horiz)
#define | evas_obj_text_vert_advance_get(vert) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_VERT_ADVANCE_GET), EO_TYPECHECK(Evas_Coord *, vert)
#define | evas_obj_text_char_pos_get(pos, cx, cy, cw, ch, ret) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_CHAR_POS_GET), EO_TYPECHECK(int, pos), EO_TYPECHECK(Evas_Coord *, cx), EO_TYPECHECK(Evas_Coord *, cy), EO_TYPECHECK(Evas_Coord *, cw), EO_TYPECHECK(Evas_Coord *, ch), EO_TYPECHECK(Eina_Bool *, ret)
#define | evas_obj_text_last_up_to_pos(x, y, res) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_LAST_UP_TO_POS), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y), EO_TYPECHECK(int *, res)
#define | evas_obj_text_char_coords_get(x, y, cx, cy, cw, ch, res) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_CHAR_COORDS_GET), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y), EO_TYPECHECK(Evas_Coord *, cx), EO_TYPECHECK(Evas_Coord *, cy), EO_TYPECHECK(Evas_Coord *, cw), EO_TYPECHECK(Evas_Coord *, ch), EO_TYPECHECK(int *, res)
#define | evas_obj_text_style_set(style) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_STYLE_SET), EO_TYPECHECK(Evas_Text_Style_Type, style)
#define | evas_obj_text_style_get(style) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_STYLE_GET), EO_TYPECHECK(Evas_Text_Style_Type *, style)
#define | evas_obj_text_shadow_color_set(r, g, b, a) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_SHADOW_COLOR_SET), EO_TYPECHECK(int, r), EO_TYPECHECK(int, g), EO_TYPECHECK(int, b), EO_TYPECHECK(int, a)
#define | evas_obj_text_shadow_color_get(r, g, b, a) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_SHADOW_COLOR_GET), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, g), EO_TYPECHECK(int *, b), EO_TYPECHECK(int *, a)
#define | evas_obj_text_glow_color_set(r, g, b, a) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_GLOW_COLOR_SET), EO_TYPECHECK(int, r), EO_TYPECHECK(int, g), EO_TYPECHECK(int, b), EO_TYPECHECK(int, a)
#define | evas_obj_text_glow_color_get(r, g, b, a) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_GLOW_COLOR_GET), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, g), EO_TYPECHECK(int *, b), EO_TYPECHECK(int *, a)
#define | evas_obj_text_glow2_color_set(r, g, b, a) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_GLOW2_COLOR_SET), EO_TYPECHECK(int, r), EO_TYPECHECK(int, g), EO_TYPECHECK(int, b), EO_TYPECHECK(int, a)
#define | evas_obj_text_glow2_color_get(r, g, b, a) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_GLOW2_COLOR_GET), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, g), EO_TYPECHECK(int *, b), EO_TYPECHECK(int *, a)
#define | evas_obj_text_outline_color_set(r, g, b, a) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_OUTLINE_COLOR_SET), EO_TYPECHECK(int, r), EO_TYPECHECK(int, g), EO_TYPECHECK(int, b), EO_TYPECHECK(int, a)
#define | evas_obj_text_outline_color_get(r, g, b, a) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_OUTLINE_COLOR_GET), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, g), EO_TYPECHECK(int *, b), EO_TYPECHECK(int *, a)
#define | evas_obj_text_style_pad_get(l, r, t, b) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_STYLE_PAD_GET), EO_TYPECHECK(int *, l), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, t), EO_TYPECHECK(int *, b)
#define | evas_obj_text_ellipsis_set(ellipsis) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_ELLIPSIS_SET), EO_TYPECHECK(double, ellipsis)
#define | evas_obj_text_ellipsis_get(ellipsis) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_ELLIPSIS_GET), EO_TYPECHECK(double *, ellipsis)
#define | evas_obj_text_filter_program_set(program) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_FILTER_PROGRAM_SET), EO_TYPECHECK(const char *, program)
| Set an Evas filter program on this Text Object. More...
#define | evas_obj_text_filter_source_set(name, obj) EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_FILTER_SOURCE_SET), EO_TYPECHECK(const char *, name), EO_TYPECHECK(Eo *, obj)
| Bind an object to use as a mask or texture with Evas Filters. More...
Eo_Op | EVAS_OBJ_TEXT_BASE_ID
Evas_Object * | evas_object_text_add (Evas *e)
| Creates a new text object on the provided canvas. More...
void | evas_object_text_font_source_set (Evas_Object *obj, const char *font)
| Set the font (source) file to be used on a given text object. More...
const char * | evas_object_text_font_source_get (const Evas_Object *obj)
| Get the font file's path which is being used on a given text object. More...
void | evas_object_text_font_set (Evas_Object *obj, const char *font, Evas_Font_Size size)
| Set the font family or filename, and size on a given text object. More...
void | evas_object_text_font_get (const Evas_Object *obj, const char **font, Evas_Font_Size *size)
| Retrieve the font family and size in use on a given text object. More...
void | evas_object_text_text_set (Evas_Object *obj, const char *text)
| Sets the text string to be displayed by the given text object. More...
const char * | evas_object_text_text_get (const Evas_Object *obj)
| Retrieves the text string currently being displayed by the given text object. More...
void | evas_object_text_bidi_delimiters_set (Evas_Object *obj, const char *delim)
| Sets the BiDi delimiters used in the textblock. More...
const char * | evas_object_text_bidi_delimiters_get (const Evas_Object *obj)
| Gets the BiDi delimiters used in the textblock. More...
void | evas_object_text_ellipsis_set (Evas_Object *obj, double ellipsis)
| Sets the ellipsis that should be used for the text object. More...
double | evas_object_text_ellipsis_get (const Evas_Object *obj)
| Gets the ellipsis currently set on the text object. More...
Evas_Coord | evas_object_text_ascent_get (const Evas_Object *obj)
Evas_Coord | evas_object_text_descent_get (const Evas_Object *obj)
Evas_Coord | evas_object_text_max_ascent_get (const Evas_Object *obj)
Evas_Coord | evas_object_text_max_descent_get (const Evas_Object *obj)
Evas_Coord | evas_object_text_horiz_advance_get (const Evas_Object *obj)
Evas_Coord | evas_object_text_vert_advance_get (const Evas_Object *obj)
Evas_Coord | evas_object_text_inset_get (const Evas_Object *obj)
Eina_Bool | evas_object_text_char_pos_get (const Evas_Object *obj, int pos, Evas_Coord *cx, Evas_Coord *cy, Evas_Coord *cw, Evas_Coord *ch)
| Retrieve position and dimension information of a character within a text `Evas_Object`. More...
int | evas_object_text_char_coords_get (const Evas_Object *obj, Evas_Coord x, Evas_Coord y, Evas_Coord *cx, Evas_Coord *cy, Evas_Coord *cw, Evas_Coord *ch)
int | evas_object_text_last_up_to_pos (const Evas_Object *obj, Evas_Coord x, Evas_Coord y)
| Returns the logical position of the last char in the text up to the pos given. More...
Evas_Text_Style_Type | evas_object_text_style_get (const Evas_Object *obj)
| Retrieves the style on use on the given text object. More...
void | evas_object_text_style_set (Evas_Object *obj, Evas_Text_Style_Type type)
| Sets the style to apply on the given text object. More...
void | evas_object_text_shadow_color_set (Evas_Object *obj, int r, int g, int b, int a)
| Sets the shadow color for the given text object. More...
void | evas_object_text_shadow_color_get (const Evas_Object *obj, int *r, int *g, int *b, int *a)
| Retrieves the shadow color for the given text object. More...
void | evas_object_text_glow_color_set (Evas_Object *obj, int r, int g, int b, int a)
| Sets the glow color for the given text object. More...
void | evas_object_text_glow_color_get (const Evas_Object *obj, int *r, int *g, int *b, int *a)
| Retrieves the glow color for the given text object. More...
void | evas_object_text_glow2_color_set (Evas_Object *obj, int r, int g, int b, int a)
| Sets the 'glow 2' color for the given text object. More...
void | evas_object_text_glow2_color_get (const Evas_Object *obj, int *r, int *g, int *b, int *a)
| Retrieves the 'glow 2' color for the given text object. More...
void | evas_object_text_outline_color_set (Evas_Object *obj, int r, int g, int b, int a)
| Sets the outline color for the given text object. More...
void | evas_object_text_outline_color_get (const Evas_Object *obj, int *r, int *g, int *b, int *a)
| Retrieves the outline color for the given text object. More...
void | evas_object_text_style_pad_get (const Evas_Object *obj, int *l, int *r, int *t, int *b)
| Gets the text style pad of a text object. More...
Evas_BiDi_Direction | evas_object_text_direction_get (const Evas_Object *obj)
| Retrieves the direction of the text currently being displayed in the text object. More...

## Detailed Description

Functions that operate on single line, single style text objects.

For multiline and multiple style text, see Textblock Object Functions.

See some examples on this group of functions.

Warning
  We don't guarantee any proper results if you create a Text object without setting the evas engine.

## Macro Definition Documentation

#define EVAS_TEXT_STYLE_BASIC_SET | ( |  | x,
|  |  | s
| ) |  | do { x = ((x) & ~EVAS_TEXT_STYLE_MASK_BASIC) | (s); } while (0)

Text style type creation macro.

Use style types on the 's' arguments, being 'x' your style variable.

#define EVAS_TEXT_STYLE_SHADOW_DIRECTION_SET | ( |  | x,
|  |  | s
| ) |  | do { x = ((x) & ~EVAS_TEXT_STYLE_MASK_SHADOW_DIRECTION) | (s); } while (0)

Text style type creation macro.

This one will impose shadow directions on the style type variable – use the `EVAS_TEXT_STYLE_SHADOW_DIRECTION_*` values on 's', incrementally.

#define evas_obj_text_font_source_set | ( |  | font_source | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_FONT_SOURCE_SET), EO_TYPECHECK(const char *, font_source)

Since
  1.8

Set the font (source) file to be used on a given text object.

Parameters

  [in] | font_source | in

See Also
  evas_object_text_font_source_set

Referenced by evas_object_text_font_source_set().

#define evas_obj_text_font_source_get | ( |  | font_source | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_FONT_SOURCE_GET), EO_TYPECHECK(const char **, font_source)

Since
  1.8

Get the font file's path which is being used on a given text object.

Parameters

  [out] | font_source | out

See Also
  evas_object_text_font_source_get

Referenced by evas_object_text_font_source_get().

#define evas_obj_text_font_set | ( |  | font,
|  |  | size
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_FONT_SET), EO_TYPECHECK(const char *, font), EO_TYPECHECK(Evas_Font_Size, size)

Since
  1.8

Set the font family and size on a given text object.

Parameters

  [in] | font | in
  [in] | size | in

See Also
  evas_object_text_font_set

Referenced by evas_object_text_font_set().

#define evas_obj_text_font_get | ( |  | font,
|  |  | size
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_FONT_GET), EO_TYPECHECK(const char **, font), EO_TYPECHECK(Evas_Font_Size *, size)

Since
  1.8

Retrieve the font family and size in use on a given text object.

Parameters

  [out] | font | out
  [out] | size | out

See Also
  evas_object_text_font_get

Referenced by evas_object_text_font_get().

#define evas_obj_text_text_set | ( |  | text | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_TEXT_SET), EO_TYPECHECK(const char *, text)

Since
  1.8

Sets the text string to be displayed by the given text object.

Parameters

  [in] | text |

See Also
  evas_object_text_text_set

Referenced by evas_object_text_text_set().

#define evas_obj_text_text_get | ( |  | text | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_TEXT_GET), EO_TYPECHECK(const char **, text)

Since
  1.8

Retrieves the text string currently being displayed by the given text object.

Parameters

  [out] | text | out

See Also
  evas_object_text_text_get

Referenced by evas_object_text_text_get().

#define evas_obj_text_bidi_delimiters_set | ( |  | delim | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_BIDI_DELIMITERS_SET), EO_TYPECHECK(const char *, delim)

Since
  1.8

Sets the BiDi delimiters used in the textblock.

Parameters

  [in] | delim | in

See Also
  evas_object_text_bidi_delimiters_set

Referenced by evas_object_text_bidi_delimiters_set().

#define evas_obj_text_bidi_delimiters_get | ( |  | delim | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_BIDI_DELIMITERS_GET), EO_TYPECHECK(const char **, delim)

Since
  1.8

Gets the BiDi delimiters used in the textblock.

Parameters

  [out] | delim | out

See Also
  evas_object_text_bidi_delimiters_get

Referenced by evas_object_text_bidi_delimiters_get().

#define evas_obj_text_direction_get | ( |  | bidi_dir | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_DIRECTION_GET), EO_TYPECHECK(Evas_BiDi_Direction *, bidi_dir)

Since
  1.8

Retrieves the direction of the text currently being displayed in the text object.

Parameters

  [out] | bidi_dir | out

See Also
  evas_object_text_direction_get

Referenced by evas_object_text_direction_get().

#define evas_obj_text_ascent_get | ( |  | ascent | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_ASCENT_GET), EO_TYPECHECK(Evas_Coord *, ascent)

Since
  1.8

Parameters

  [out] | ascent | out

See Also
  evas_object_text_ascent_get

#define evas_obj_text_descent_get | ( |  | descent | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_DESCENT_GET), EO_TYPECHECK(Evas_Coord *, descent)

Since
  1.8

Parameters

  [out] | descent | out

See Also
  evas_object_text_descent_get

#define evas_obj_text_max_ascent_get | ( |  | max_ascent | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_MAX_ASCENT_GET), EO_TYPECHECK(Evas_Coord *, max_ascent)

Since
  1.8

Parameters

  [out] | max_ascent | out

See Also
  evas_object_text_max_ascent_get

#define evas_obj_text_max_descent_get | ( |  | max_descent | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_MAX_DESCENT_GET), EO_TYPECHECK(Evas_Coord *, max_descent)

Since
  1.8

Parameters

  [out] | max_descent | out

See Also
  evas_object_text_max_descent_get

#define evas_obj_text_inset_get | ( |  | inset | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_INSET_GET), EO_TYPECHECK(Evas_Coord *, inset)

Since
  1.8

Parameters

  [out] | inset | out

See Also
  evas_object_text_inset_get

#define evas_obj_text_horiz_advance_get | ( |  | horiz | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_HORIZ_ADVANCE_GET), EO_TYPECHECK(Evas_Coord *, horiz)

Since
  1.8

Parameters

  [out] | horiz | out

See Also
  evas_object_text_horiz_advance_get

#define evas_obj_text_vert_advance_get | ( |  | vert | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_VERT_ADVANCE_GET), EO_TYPECHECK(Evas_Coord *, vert)

Since
  1.8

Parameters

  [out] | vert | out

See Also
  evas_object_text_vert_advance_get

#define evas_obj_text_char_pos_get | ( |  | pos,
|  |  | cx,
|  |  | cy,
|  |  | cw,
|  |  | ch,
|  |  | ret
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_CHAR_POS_GET), EO_TYPECHECK(int, pos), EO_TYPECHECK(Evas_Coord *, cx), EO_TYPECHECK(Evas_Coord *, cy), EO_TYPECHECK(Evas_Coord *, cw), EO_TYPECHECK(Evas_Coord *, ch), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Retrieve position and dimension information of a character within a text `Evas_Object`.

Parameters

  [in] | pos | in
  [out] | cx | out
  [out] | cy | out
  [out] | cw | out
  [out] | ch | out
  [out] | ret | out

See Also
  evas_object_text_char_pos_get

Referenced by evas_object_text_char_pos_get().

#define evas_obj_text_last_up_to_pos | ( |  | x,
|  |  | y,
|  |  | res
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_LAST_UP_TO_POS), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y), EO_TYPECHECK(int *, res)

Since
  1.8

Returns the logical position of the last char in the text up to the pos given. this is NOT the position of the last char because of the possibility of RTL in the text.

Parameters

  [in] | x | in
  [in] | y | in
  [out] | res | out

See Also
  evas_object_text_last_up_to_pos

Referenced by evas_object_text_last_up_to_pos().

#define evas_obj_text_char_coords_get | ( |  | x,
|  |  | y,
|  |  | cx,
|  |  | cy,
|  |  | cw,
|  |  | ch,
|  |  | res
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_CHAR_COORDS_GET), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y), EO_TYPECHECK(Evas_Coord *, cx), EO_TYPECHECK(Evas_Coord *, cy), EO_TYPECHECK(Evas_Coord *, cw), EO_TYPECHECK(Evas_Coord *, ch), EO_TYPECHECK(int *, res)

Since
  1.8

Parameters

  [in] | x | in
  [in] | y | in
  [out] | cx | out
  [out] | cy | out
  [out] | cw | out
  [out] | ch | out
  [out] | res | out

See Also
  evas_object_text_char_coords_get

#define evas_obj_text_style_set | ( |  | style | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_STYLE_SET), EO_TYPECHECK(Evas_Text_Style_Type, style)

Since
  1.8

Sets the style to apply on the given text object.

Parameters

  [in] | style | in

See Also
  evas_object_text_style_set

Referenced by evas_object_text_style_set().

#define evas_obj_text_style_get | ( |  | style | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_STYLE_GET), EO_TYPECHECK(Evas_Text_Style_Type *, style)

Since
  1.8

Retrieves the style on use on the given text object.

Parameters

  [out] | style | out

See Also
  evas_object_text_style_get

Referenced by evas_object_text_style_get().

#define evas_obj_text_shadow_color_set | ( |  | r,
|  |  | g,
|  |  | b,
|  |  | a
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_SHADOW_COLOR_SET), EO_TYPECHECK(int, r), EO_TYPECHECK(int, g), EO_TYPECHECK(int, b), EO_TYPECHECK(int, a)

Since
  1.8

Sets the shadow color for the given text object.

Parameters

  [in] | r | in
  [in] | g | in
  [in] | b | in
  [in] | a | in

See Also
  evas_object_text_shadow_color_set

Referenced by evas_object_text_shadow_color_set().

#define evas_obj_text_shadow_color_get | ( |  | r,
|  |  | g,
|  |  | b,
|  |  | a
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_SHADOW_COLOR_GET), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, g), EO_TYPECHECK(int *, b), EO_TYPECHECK(int *, a)

Since
  1.8

Retrieves the shadow color for the given text object.

Parameters

  [out] | r | out
  [out] | g | out
  [out] | b | out
  [out] | a | out

See Also
  evas_object_text_shadow_color_get

Referenced by evas_object_text_shadow_color_get().

#define evas_obj_text_glow_color_set | ( |  | r,
|  |  | g,
|  |  | b,
|  |  | a
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_GLOW_COLOR_SET), EO_TYPECHECK(int, r), EO_TYPECHECK(int, g), EO_TYPECHECK(int, b), EO_TYPECHECK(int, a)

Since
  1.8

Sets the glow color for the given text object.

Parameters

  [in] | r | in
  [in] | g | in
  [in] | b | in
  [in] | a | in

See Also
  evas_object_text_glow_color_set

Referenced by evas_object_text_glow_color_set().

#define evas_obj_text_glow_color_get | ( |  | r,
|  |  | g,
|  |  | b,
|  |  | a
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_GLOW_COLOR_GET), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, g), EO_TYPECHECK(int *, b), EO_TYPECHECK(int *, a)

Since
  1.8

Retrieves the glow color for the given text object.

Parameters

  [out] | r | out
  [out] | g | out
  [out] | b | out
  [out] | a | out

See Also
  evas_object_text_glow_color_get

Referenced by evas_object_text_glow_color_get().

#define evas_obj_text_glow2_color_set | ( |  | r,
|  |  | g,
|  |  | b,
|  |  | a
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_GLOW2_COLOR_SET), EO_TYPECHECK(int, r), EO_TYPECHECK(int, g), EO_TYPECHECK(int, b), EO_TYPECHECK(int, a)

Since
  1.8

Sets the 'glow 2' color for the given text object.

Parameters

  [in] | r | in
  [in] | g | in
  [in] | b | in
  [in] | a | in

See Also
  evas_object_text_glow2_color_set

Referenced by evas_object_text_glow2_color_set().

#define evas_obj_text_glow2_color_get | ( |  | r,
|  |  | g,
|  |  | b,
|  |  | a
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_GLOW2_COLOR_GET), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, g), EO_TYPECHECK(int *, b), EO_TYPECHECK(int *, a)

Since
  1.8

Retrieves the 'glow 2' color for the given text object.

Parameters

  [out] | r | out
  [out] | g | out
  [out] | b | out
  [out] | a | out

See Also
  evas_object_text_glow2_color_get

Referenced by evas_object_text_glow2_color_get().

#define evas_obj_text_outline_color_set | ( |  | r,
|  |  | g,
|  |  | b,
|  |  | a
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_OUTLINE_COLOR_SET), EO_TYPECHECK(int, r), EO_TYPECHECK(int, g), EO_TYPECHECK(int, b), EO_TYPECHECK(int, a)

Since
  1.8

Sets the outline color for the given text object.

Parameters

  [in] | r | in
  [in] | g | in
  [in] | b | in
  [in] | a | in

See Also
  evas_object_text_outline_color_set

Referenced by evas_object_text_outline_color_set().

#define evas_obj_text_outline_color_get | ( |  | r,
|  |  | g,
|  |  | b,
|  |  | a
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_OUTLINE_COLOR_GET), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, g), EO_TYPECHECK(int *, b), EO_TYPECHECK(int *, a)

Since
  1.8

Retrieves the outline color for the given text object.

Parameters

  [out] | r | out
  [out] | g | out
  [out] | b | out
  [out] | a | out

See Also
  evas_object_text_outline_color_get

Referenced by evas_object_text_outline_color_get().

#define evas_obj_text_style_pad_get | ( |  | l,
|  |  | r,
|  |  | t,
|  |  | b
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_STYLE_PAD_GET), EO_TYPECHECK(int *, l), EO_TYPECHECK(int *, r), EO_TYPECHECK(int *, t), EO_TYPECHECK(int *, b)

Since
  1.8

Gets the text style pad of a text object.

Parameters

  [out] | l | out
  [out] | r | out
  [out] | t | out
  [out] | b | out

See Also
  evas_object_text_style_pad_get

Referenced by evas_object_text_style_pad_get().

#define evas_obj_text_ellipsis_set | ( |  | ellipsis | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_ELLIPSIS_SET), EO_TYPECHECK(double, ellipsis)

Since
  1.8

Sets the ellipsis to apply on the given text object. 0.0 -> means apply ellipsis on the right end of the text, 1.0 -> means apply ellipsis on the start left of the text.

Parameters

  [in] | ellipsis | in

See Also
  evas_object_text_ellipsis_get

Referenced by evas_object_text_ellipsis_set().

#define evas_obj_text_ellipsis_get | ( |  | ellipsis | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_ELLIPSIS_GET), EO_TYPECHECK(double *, ellipsis)

Since
  1.8

Sets the ellipsis to apply on the given text object. 0.0 -> means apply ellipsis on the right end of the text, 1.0 -> means apply ellipsis on the start left of the text. value below 0, means no ellipsis.

Parameters

  [out] | ellipsis | out

See Also
  evas_object_text_ellipsis_set

Referenced by evas_object_text_ellipsis_get().

#define evas_obj_text_filter_program_set | ( |  | program | ) | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_FILTER_PROGRAM_SET), EO_TYPECHECK(const char *, program)

Set an Evas filter program on this Text Object.

If the program fails to compile (syntax error, invalid buffer name, etc...), the standard text effects will be applied instead (SHADOW, etc...).

Parameters

  [in] | program | The program code, as defined by the Evas filters script language. Pass NULL to remove the former program and switch back to the standard text effects.

Since
  1.9

Note
  EXPERIMENTAL FEATURE. This is an unstable API, please use only for testing purposes.

See Also
  Evas filters reference

#define evas_obj_text_filter_source_set | ( |  | name,
|  |  | obj
| ) |  | EVAS_OBJ_TEXT_ID(EVAS_OBJ_TEXT_SUB_ID_FILTER_SOURCE_SET), EO_TYPECHECK(const char *, name), EO_TYPECHECK(Eo *, obj)

Bind an object to use as a mask or texture with Evas Filters.

This will create automatically a new RGBA buffer containing the source object's pixels (as it is rendered).

Parameters

  [in] | name | Object name as used in the program code
  [in] | obj | Eo object to use through proxy rendering

See Also
  evas_obj_text_filter_program_set

Since
  1.9

Note
  EXPERIMENTAL FEATURE. This is an unstable API, please use only for testing purposes.

See Also
  Evas filters reference

## Typedef Documentation

typedef enum _Evas_Text_Style_Type Evas_Text_Style_Type

Types of styles to be applied on text objects.

The `EVAS_TEXT_STYLE_SHADOW_DIRECTION_*` ones are to be ORed together with others imposing shadow, to change shadow's direction

## Enumeration Type Documentation

enum _Evas_Text_Style_Type

Enumerator
EVAS_TEXT_STYLE_PLAIN | plain, standard text
EVAS_TEXT_STYLE_SHADOW | text with shadow underneath
EVAS_TEXT_STYLE_OUTLINE | text with an outline
EVAS_TEXT_STYLE_SOFT_OUTLINE | text with a soft outline
EVAS_TEXT_STYLE_GLOW | text with a glow effect
EVAS_TEXT_STYLE_OUTLINE_SHADOW | text with both outline and shadow effects
EVAS_TEXT_STYLE_FAR_SHADOW | text with (far) shadow underneath
EVAS_TEXT_STYLE_OUTLINE_SOFT_SHADOW | text with outline and soft shadow effects combined
EVAS_TEXT_STYLE_SOFT_SHADOW | text with (soft) shadow underneath
EVAS_TEXT_STYLE_FAR_SOFT_SHADOW | text with (far soft) shadow underneath
EVAS_TEXT_STYLE_SHADOW_DIRECTION_BOTTOM_RIGHT | shadow growing to bottom right
EVAS_TEXT_STYLE_SHADOW_DIRECTION_BOTTOM | shadow growing to the bottom
EVAS_TEXT_STYLE_SHADOW_DIRECTION_BOTTOM_LEFT | shadow growing to bottom left
EVAS_TEXT_STYLE_SHADOW_DIRECTION_LEFT | shadow growing to the left
EVAS_TEXT_STYLE_SHADOW_DIRECTION_TOP_LEFT | shadow growing to top left
EVAS_TEXT_STYLE_SHADOW_DIRECTION_TOP | shadow growing to the top
EVAS_TEXT_STYLE_SHADOW_DIRECTION_TOP_RIGHT | shadow growing to top right
EVAS_TEXT_STYLE_SHADOW_DIRECTION_RIGHT | shadow growing to the right

## Function Documentation

Evas_Object* evas_object_text_add | ( | Evas * | e | ) |

Creates a new text object on the provided canvas.

Parameters

  e | The canvas to create the text object on.

Returns
  `NULL` on error, a pointer to a new text object on success.

Text objects are for simple, single line text elements. If you want more elaborated text blocks, see Textblock Object Functions.

See Also
  evas_object_text_font_source_set()
  evas_object_text_font_set()
  evas_object_text_text_set()

void evas_object_text_font_source_set | ( | Evas_Object * | obj,
|  | const char * | font
| ) |  |

Set the font (source) file to be used on a given text object.

Parameters

  obj | The text object to set font for.
  font | The font file's path.

This function allows the font file to be explicitly set for a given text object, overriding system lookup, which will first occur in the given file's contents.

See Also
  evas_object_text_font_get()

References evas_obj_text_font_source_set.

const char* evas_object_text_font_source_get | ( | const Evas_Object * | obj | ) |

Get the font file's path which is being used on a given text object.

Parameters

  obj | The text object to set font for.

Returns
  The font file's path.

See Also
  evas_object_text_font_get() for more details

References evas_obj_text_font_source_get.

void evas_object_text_font_set | ( | Evas_Object * | obj,
|  | const char * | font,
|  | Evas_Font_Size | size
| ) |  |

Set the font family or filename, and size on a given text object.

Parameters

  obj | The text object to set font for.
  font | The font family name or filename.
  size | The font size, in points.

This function allows the font name and size of a text object to be set. The `font` string has to follow fontconfig's convention on naming fonts, as it's the underlying library used to query system fonts by Evas (see the `fc-list` command's output, on your system, to get an idea). Alternatively, one can use a full path to a font file.

See Also
  evas_object_text_font_get()
  evas_object_text_font_source_set()

Examples:
  ecore_evas_window_sizes_example.c, eina_tiler_01.c, evas-text.c, and test_bouncing_text.c.

References evas_obj_text_font_set.

void evas_object_text_font_get | ( | const Evas_Object * | obj,
|  | const char ** | font,
|  | Evas_Font_Size * | size
| ) |  |

Retrieve the font family and size in use on a given text object.

Parameters

  obj | The evas text object to query for font information.
  font | A pointer to the location to store the font name in.
  size | A pointer to the location to store the font size in.

This function allows the font name and size of a text object to be queried. Be aware that the font name string is still owned by Evas and should not have free() called on it by the caller of the function.

See Also
  evas_object_text_font_set()

Examples:
  evas-text.c.

References evas_obj_text_font_get.

void evas_object_text_text_set | ( | Evas_Object * | obj,
|  | const char * | text
| ) |  |

Sets the text string to be displayed by the given text object.

Parameters

  obj | The text object to set text string on.
  text | Text string to display on it.

See Also
  evas_object_text_text_get()

Examples:
  ecore_evas_window_sizes_example.c, eina_tiler_01.c, evas-text.c, and test_bouncing_text.c.

References evas_obj_text_text_set.

const char* evas_object_text_text_get | ( | const Evas_Object * | obj | ) |

Retrieves the text string currently being displayed by the given text object.

Parameters

  obj | The given text object.

Returns
  The text string currently being displayed on it.

Note
  Do not free() the return value.

See Also
  evas_object_text_text_set()

References evas_obj_text_text_get.

void evas_object_text_bidi_delimiters_set | ( | Evas_Object * | obj,
|  | const char * | delim
| ) |  |

Sets the BiDi delimiters used in the textblock.

BiDi delimiters are use for in-paragraph separation of bidi segments. This is useful for example in recipients fields of e-mail clients where bidi oddities can occur when mixing RTL and LTR.

Parameters

  obj | The given text object.
  delim | A null terminated string of delimiters, e.g ",|".

Since
  1.1

References evas_obj_text_bidi_delimiters_set.

const char* evas_object_text_bidi_delimiters_get | ( | const Evas_Object * | obj | ) |

Gets the BiDi delimiters used in the textblock.

BiDi delimiters are use for in-paragraph separation of bidi segments. This is useful for example in recipients fields of e-mail clients where bidi oddities can occur when mixing RTL and LTR.

Parameters

  obj | The given text object.

Returns
  A null terminated string of delimiters, e.g ",|". If empty, returns NULL.

Since
  1.1

References evas_obj_text_bidi_delimiters_get.

void evas_object_text_ellipsis_set | ( | Evas_Object * | obj,
|  | double | ellipsis
| ) |  |

Sets the ellipsis that should be used for the text object.

This is a value between 0.0 and 1.0 indicating the position of the text to be shown. 0.0 means the start will be shown and the end trimmed, 1.0 means the beginning will be trimmed and the end will be shown, and any value in between will cause ellipsis to be added in both end of the text and the requested part to be shown. -1.0 means ellipsis is turned off.

Parameters

  obj | The given text object.
  ellipsis | the ellipsis.

Since
  1.8

References evas_obj_text_ellipsis_set.

double evas_object_text_ellipsis_get | ( | const Evas_Object * | obj | ) |

Gets the ellipsis currently set on the text object.

Parameters

  obj | The given text object.

Returns
  The ellipsis set on the text object.

See Also
  evas_object_text_ellipsis_set.

Since
  1.8

References evas_obj_text_ellipsis_get.

Eina_Bool evas_object_text_char_pos_get | ( | const Evas_Object * | obj,
|  | int | pos,
|  | Evas_Coord * | cx,
|  | Evas_Coord * | cy,
|  | Evas_Coord * | cw,
|  | Evas_Coord * | ch
| ) |  |

Retrieve position and dimension information of a character within a text `Evas_Object`.

This function is used to obtain the X, Y, width and height of the character located at `pos` within the `Evas_Object` `obj`. `obj` must be a text object as created with evas_object_text_add(). Any of the `Evas_Coord` parameters (`cx`, `cy`, `cw`, `ch`) may be `NULL` in which case no value will be assigned to that parameter.

Parameters

  obj | The text object to retrieve position information for.
  pos | The character position to request co-ordinates for.
  cx | A pointer to an `Evas_Coord` to store the X value in (can be NULL).
  cy | A pointer to an `Evas_Coord` to store the Y value in (can be NULL).
  cw | A pointer to an `Evas_Coord` to store the Width value in (can be NULL).
  ch | A pointer to an `Evas_Coord` to store the Height value in (can be NULL).

Returns
  `EINA_FALSE` on success, `EINA_TRUE` on error.

References EINA_FALSE, and evas_obj_text_char_pos_get.

int evas_object_text_last_up_to_pos | ( | const Evas_Object * | obj,
|  | Evas_Coord | x,
|  | Evas_Coord | y
| ) |  |

Returns the logical position of the last char in the text up to the pos given.

This is NOT the position of the last char because of the possibility of RTL in the text.

References evas_obj_text_last_up_to_pos.

Evas_Text_Style_Type evas_object_text_style_get | ( | const Evas_Object * | obj | ) |

Retrieves the style on use on the given text object.

Parameters

  obj | the given text object to set style on.

Returns
  the style type in use.

See Also
  evas_object_text_style_set() for more details.

Examples:
  evas-text.c.

References evas_obj_text_style_get, and EVAS_TEXT_STYLE_PLAIN.

void evas_object_text_style_set | ( | Evas_Object * | obj,
|  | Evas_Text_Style_Type | type
| ) |  |

Sets the style to apply on the given text object.

Parameters

  obj | the given text object to set style on.
  type | a style type.

Text object styles are one of the values in Evas_Text_Style_Type. Some of those values are combinations of more than one style, and some account for the direction of the rendering of shadow effects.

Note
  One may use the helper macros EVAS_TEXT_STYLE_BASIC_SET and EVAS_TEXT_STYLE_SHADOW_DIRECTION_SET to assemble a style value.

The following figure illustrates the text styles:

See Also
  evas_object_text_style_get()
  evas_object_text_shadow_color_set()
  evas_object_text_outline_color_set()
  evas_object_text_glow_color_set()
  evas_object_text_glow2_color_set()

Examples:
  evas-text.c.

References evas_obj_text_style_set.

void evas_object_text_shadow_color_set | ( | Evas_Object * | obj,
|  | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Sets the shadow color for the given text object.

Parameters

  obj | The given Evas text object.
  r | The red component of the given color.
  g | The green component of the given color.
  b | The blue component of the given color.
  a | The alpha component of the given color.

Shadow effects, which are fading colors decorating the text underneath it, will just be shown if the object is set to one of the following styles:

- EVAS_TEXT_STYLE_SHADOW
- EVAS_TEXT_STYLE_OUTLINE_SHADOW
- EVAS_TEXT_STYLE_FAR_SHADOW
- EVAS_TEXT_STYLE_OUTLINE_SOFT_SHADOW
- EVAS_TEXT_STYLE_SOFT_SHADOW
- EVAS_TEXT_STYLE_FAR_SOFT_SHADOW

One can also change the direction where the shadow grows to, with evas_object_text_style_set().

See Also
  evas_object_text_shadow_color_get()

Examples:
  evas-text.c.

References evas_obj_text_shadow_color_set.

void evas_object_text_shadow_color_get | ( | const Evas_Object * | obj,
|  | int * | r,
|  | int * | g,
|  | int * | b,
|  | int * | a
| ) |  |

Retrieves the shadow color for the given text object.

Parameters

  obj | The given Evas text object.
  r | Pointer to variable to hold the red component of the given color.
  g | Pointer to variable to hold the green component of the given color.
  b | Pointer to variable to hold the blue component of the given color.
  a | Pointer to variable to hold the alpha component of the given color.

Note
  Use `NULL` pointers on the color components you're not interested in: they'll be ignored by the function.

See Also
  evas_object_text_shadow_color_set() for more details.

References evas_obj_text_shadow_color_get.

void evas_object_text_glow_color_set | ( | Evas_Object * | obj,
|  | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Sets the glow color for the given text object.

Parameters

  obj | The given Evas text object.
  r | The red component of the given color.
  g | The green component of the given color.
  b | The blue component of the given color.
  a | The alpha component of the given color.

Glow effects, which are glowing colors decorating the text's surroundings, will just be shown if the object is set to the EVAS_TEXT_STYLE_GLOW style.

Note
  Glow effects are placed from a short distance of the text itself, but no touching it. For glowing effects right on the borders of the glyphs, see 'glow 2' effects (evas_object_text_glow2_color_set()).

See Also
  evas_object_text_glow_color_get()

Examples:
  evas-text.c.

References evas_obj_text_glow_color_set.

void evas_object_text_glow_color_get | ( | const Evas_Object * | obj,
|  | int * | r,
|  | int * | g,
|  | int * | b,
|  | int * | a
| ) |  |

Retrieves the glow color for the given text object.

Parameters

  obj | The given Evas text object.
  r | Pointer to variable to hold the red component of the given color.
  g | Pointer to variable to hold the green component of the given color.
  b | Pointer to variable to hold the blue component of the given color.
  a | Pointer to variable to hold the alpha component of the given color.

Note
  Use `NULL` pointers on the color components you're not interested in: they'll be ignored by the function.

See Also
  evas_object_text_glow_color_set() for more details.

References evas_obj_text_glow_color_get.

void evas_object_text_glow2_color_set | ( | Evas_Object * | obj,
|  | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Sets the 'glow 2' color for the given text object.

Parameters

  obj | The given Evas text object.
  r | The red component of the given color.
  g | The green component of the given color.
  b | The blue component of the given color.
  a | The alpha component of the given color.

'Glow 2' effects, which are glowing colors decorating the text's (immediate) surroundings, will just be shown if the object is set to the EVAS_TEXT_STYLE_GLOW style. See also evas_object_text_glow_color_set().

See Also
  evas_object_text_glow2_color_get()

Examples:
  evas-text.c.

References evas_obj_text_glow2_color_set.

void evas_object_text_glow2_color_get | ( | const Evas_Object * | obj,
|  | int * | r,
|  | int * | g,
|  | int * | b,
|  | int * | a
| ) |  |

Retrieves the 'glow 2' color for the given text object.

Parameters

  obj | The given Evas text object.
  r | Pointer to variable to hold the red component of the given color.
  g | Pointer to variable to hold the green component of the given color.
  b | Pointer to variable to hold the blue component of the given color.
  a | Pointer to variable to hold the alpha component of the given color.

Note
  Use `NULL` pointers on the color components you're not interested in: they'll be ignored by the function.

See Also
  evas_object_text_glow2_color_set() for more details.

References evas_obj_text_glow2_color_get.

void evas_object_text_outline_color_set | ( | Evas_Object * | obj,
|  | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Sets the outline color for the given text object.

Parameters

  obj | The given Evas text object.
  r | The red component of the given color.
  g | The green component of the given color.
  b | The blue component of the given color.
  a | The alpha component of the given color.

Outline effects (colored lines around text glyphs) will just be shown if the object is set to one of the following styles:

- EVAS_TEXT_STYLE_OUTLINE
- EVAS_TEXT_STYLE_SOFT_OUTLINE
- EVAS_TEXT_STYLE_OUTLINE_SHADOW
- EVAS_TEXT_STYLE_OUTLINE_SOFT_SHADOW

See Also
  evas_object_text_outline_color_get()

Examples:
  evas-text.c.

References evas_obj_text_outline_color_set.

void evas_object_text_outline_color_get | ( | const Evas_Object * | obj,
|  | int * | r,
|  | int * | g,
|  | int * | b,
|  | int * | a
| ) |  |

Retrieves the outline color for the given text object.

Parameters

  obj | The given Evas text object.
  r | Pointer to variable to hold the red component of the given color.
  g | Pointer to variable to hold the green component of the given color.
  b | Pointer to variable to hold the blue component of the given color.
  a | Pointer to variable to hold the alpha component of the given color.

Note
  Use `NULL` pointers on the color components you're not interested in: they'll be ignored by the function.

See Also
  evas_object_text_outline_color_set() for more details.

References evas_obj_text_outline_color_get.

void evas_object_text_style_pad_get | ( | const Evas_Object * | obj,
|  | int * | l,
|  | int * | r,
|  | int * | t,
|  | int * | b
| ) |  |

Gets the text style pad of a text object.

Parameters

  obj | The given text object.
  l | The left pad (or `NULL`).
  r | The right pad (or `NULL`).
  t | The top pad (or `NULL`).
  b | The bottom pad (or `NULL`).

References evas_obj_text_style_pad_get.

Evas_BiDi_Direction evas_object_text_direction_get | ( | const Evas_Object * | obj | ) |

Retrieves the direction of the text currently being displayed in the text object.

Parameters

  obj | The given evas text object.

Returns
  the direction of the text

References evas_obj_text_direction_get.